• English
  • Create order

    Request Path

    /api/v2/payment/merchant/createorder

    Parameter List

    NameTypeLengthRequiredDescription
    orderIdString32YesThe unique Order Number of the merchant, which can be used to query transaction results
    titleString100NoOrder title
    descriptionString200NoOrder description
    amountLong-YesTransaction amount (Unit of measurement: cent; For example, "100" means 1 NGN) Minimum amount: 100
    currencyString10YesCurrency (NGN/GHS/TZS/KES/ZAR/PKR)
    notifyUrlString200YesReceive transaction result notification url
    callBackUrlString200YesAfter the payment is completed, the H5 page returns the url specified by the merchant.
    orderExpireTimeInteger-NoOrder validity period duration. (Unit: seconds) The expiration time of unpaid orders. Default value: 1800s (30mins) Interval: 1800s ≤ orderExpireTime ≤ 86400s (Maximum 24 hours, minimum 30mins)
    goodsDetailsString-Yes/NoJSONArray string format, see:Product details (GoodsDetail) ;required for global merchants
    customerInfoString-NoJSON string format, see:Customer information (CustomerInfo) ; some fields are required for Pakistan
    remarkString200NoRemarks
    splitDetailString-NoJSON string format, see:Split Documents,If an account is to be divided, it is required

    Return Value

    NameTypeLengthRequiredDescription
    orderNoString32YesPalmPay platform Order No.
    orderStatusInteger20YesOrder status (see order Status )
    messageString50NoStatus description
    checkoutUrlString200YesPull up the H5 payment url
    payTokenString200YesParameters required to pull up SDK payment
    sdkSessionIdString32YesParameters required to pull up the SDK using a secure dynamic key
    sdkSignKeyString32YesParameters required to pull up the SDK using a secure dynamic key
    currencyString10YesCurrency (NGN/GHS/TZS/KES/ZAR)
    orderAmountLong-YesTransaction amount (Unit of measurement: cent; For example, "100" means 1 NGN) Minimum amount: 100

    Error Codes

    Error Codes

    Postman Example

    Request

    curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/payment/merchant/createorder' \
    --header 'Accept: application/json, text/plain, */*' \
    --header 'CountryCode: NG' \
    --header 'Authorization: Bearer 10241024' \
    --header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
    --header 'Content-Type: application/json' \
    --data '{
        "requestTime":1662171389940,
        "version":"V1.1",
        "nonceStr":"IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
        "amount":200,
        "notifyUrl":"https://xx.cn/callback/payment",
        "orderId":"testc9ffae997fc1",
        "title":"pay",
        "description": "pay some thing",
        "currency": "NGN",
        "callBackUrl": "http://returnurl",
        "goodsDetails": "[{\"goodsId\": \"1\"}]",
        "customerInfo": "{\"userId\":\"1231231\",\"userName\":\"testxz\",\"phone\":\"07011698742\",\"email\":\"test@test.com\"}",
        "remark": "test",
        "splitDetail": "{\"isSplit\":true,\"splitAmountType\":1,\"splitFeeType\":1,\"splitMerchantList\":[{\"splitMerchantId\":\"A\",\"splitAmount\":100,\"remark\":\"\"},{\"splitMerchantId\":\"B\",\"splitAmount\":100,\"remark\":\"\"}]}"
    }'

    Response

    {
      "respCode": "00000000",
      "respMsg": "success",
      "data": {
        "orderNo": "2424220903032435363613",
        "orderStatus": 1,
        "message": "success",
        "checkoutUrl": "https://openapi.transspay.net/open-api/api/v1/payment/h5/redirect?orderNo=2424220903032435363613&userId=110&sign=18FC68963B01E5B2EBE71A59F5D70AE70D66D4798F11B1632B08B4EB084948DC&key=4cca233f40b1dfb1b4600c7dfdaf3ee2",
        "payToken": "eyJvcmRlck5vIjoiMjQyNDIyMDkwMzAzMjQzNTM2MzYxMyIsInVzZXJJZCI6IjExMCIsInNpZ24iOiIxOEZDNjg5NjNCMDFFNUIyRUJFNzFBNTlGNUQ3MEFFNzBENjZENDc5OEYxMUIxNjMyQjA4QjRFQjA4NDk0OERDIiwia2V5IjoiNGNjYTIzM2Y0MGIxZGZiMWI0NjAwYzdkZmRhZjNlZTIifQ==",
        "sdkSessionId":"3032435363613",
        "sdkSignKey": "110",
        "orderAmount": 200,
        "currency": "NGN"
      }
    }